Skip to main content

Requisition Created

Agency-scoped keys

This webhook event is not available for agency-scoped API keys.

Event Type

requisition_created

Summary

Company-only event sent when a requisition is created.

Fetch the Full Object

The webhook payload contains the requisition's full object ID in data.requisition.id. Use that id as the {id} path parameter on GET /requisitions/{id} to fetch the full requisition object after receiving this event.

Delivery

  • Scope: Company only
  • Method: POST
  • Content-Type: application/json
  • Delivery guarantee: at-least-once

Delivery Headers

HeaderDescription
Content-TypeAlways application/json.
X-Requidex-EventEvent type (requisition_created).
X-Requidex-Event-IdUnique event delivery id.
X-Requidex-SignatureHMAC SHA-256 signature of the raw request body.
X-Requidex-TimestampUTC timestamp used when signing the payload.

Payload Fields

FieldTypeRequiredDescription
idstringYes
typestringYes
createdAtstringYes
dataobjectYes
Show child attributes
  • requisition object

Payload Example

{
"id": "evt_01HYZ4KQJ4A9H2J7QZ8A4R7X9M",
"type": "requisition_created",
"createdAt": "2026-02-24T15:05:43.455Z",
"data": {
"requisition": {
"id": "507f1f77bcf86cd799439011"
}
}
}